> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# One API call: correlation ids, safe request JSON, error response, headers, steps



## OpenAPI

````yaml /openapi/buyer.yaml get /api/v2/activity/calls/{id}
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Catalogs
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
  - name: Activity
paths:
  /api/v2/activity/calls/{id}:
    get:
      tags:
        - Activity
      summary: >-
        One API call: correlation ids, safe request JSON, error response,
        headers, steps
      operationId: getActivityCallsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          call:
                            type: object
                            properties:
                              id:
                                type: string
                              at:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              operation:
                                type: string
                              workload:
                                type: string
                              surface:
                                type: string
                                enum:
                                  - rest
                                  - mcp
                                  - a2a
                              outcome:
                                type: string
                                enum:
                                  - succeeded
                                  - accepted
                                  - denied
                                  - failed
                                  - cancelled
                                  - unknown
                              latencyMs:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              requestId:
                                type:
                                  - string
                                  - 'null'
                              method:
                                type:
                                  - string
                                  - 'null'
                              httpStatus:
                                anyOf:
                                  - type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  - type: 'null'
                              principalType:
                                type: string
                                enum:
                                  - human
                                  - workload
                                  - system
                              workloadName:
                                type:
                                  - string
                                  - 'null'
                              traceId:
                                type:
                                  - string
                                  - 'null'
                              error:
                                anyOf:
                                  - type: object
                                    properties:
                                      code:
                                        type: string
                                      message:
                                        type:
                                          - string
                                          - 'null'
                                      retryDisposition:
                                        type: string
                                    required:
                                      - code
                                      - message
                                      - retryDisposition
                                    additionalProperties: false
                                  - type: 'null'
                              detailAvailability:
                                type: string
                                enum:
                                  - available
                                  - expired
                                  - not_captured
                              routeTemplate:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - at
                              - operation
                              - workload
                              - surface
                              - outcome
                              - latencyMs
                              - routeTemplate
                            additionalProperties: false
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                seq:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                kind:
                                  type: string
                                  enum:
                                    - validation
                                    - response
                                status:
                                  type: string
                                  enum:
                                    - ok
                                    - error
                                name:
                                  type: string
                              required:
                                - seq
                                - at
                                - kind
                                - status
                                - name
                              additionalProperties: false
                          redactedInput:
                            anyOf:
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              - type: 'null'
                          redactedOutput:
                            anyOf:
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              - type: 'null'
                          safeHeaders:
                            anyOf:
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties:
                                  type: string
                              - type: 'null'
                          detailExpiresAt:
                            anyOf:
                              - type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              - type: 'null'
                        required:
                          - call
                          - steps
                          - redactedInput
                          - redactedOutput
                          - safeHeaders
                          - detailExpiresAt
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````